1

I have cloned following Habitat project on my local environment:

https://github.com/Sitecore/Habitat/

And here is the link stating that solr 7.2.1 is supported

https://github.com/Sitecore/Habitat/blob/master/docs/01-Getting-Started.md

I have also changed xconnect-solr and sitecore-solr in the assets folder(here is the screenshot of same with highlighted changes). enter image description here

Error: Here is the issue which I am seeing in logs now, could anyone confirm why this issue is there and if this is related to solr versioning or not. enter image description here enter image description here

And the screenshot of response from solr url mentioned in error: enter image description here

2

As I see on your screenshot you try to install Sitecore 9.0 with Solr 7.2.1. It is not supported (Sitecore 9.0 only supports Solr 6.6.1-6.6.3). enter image description here

See solr compatibility table here https://kb.sitecore.net/articles/227897

You need Sitecore 9.1.0:

enter image description here

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.